BSHFormalComment (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit.bsh

## Class BSHFormalComment

- java.lang.Object
- - org.gjt.sp.jedit.bsh.BSHFormalComment

-     public class BSHFormalComment
      extends java.lang.Object

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gjt.sp.jedit.bsh.Node[]` | `children`
    `protected int` | `id`
    `static org.gjt.sp.jedit.bsh.SimpleNode` | `JAVACODE`
    `protected org.gjt.sp.jedit.bsh.Node` | `parent`
    `java.lang.String` | `text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BSHFormalComment(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(java.lang.String prefix)`
    `java.lang.Object` | `eval(CallStack callstack, Interpreter interpreter)` This is the general signature for evaluation of a node.
    `org.gjt.sp.jedit.bsh.SimpleNode` | `getChild(int i)`
    `int` | `getLineNumber()` Get the line number of the starting token
    `java.lang.String` | `getSourceFile()` Get the name of the source file (or more generally source) of the text from which this node was parsed.
    `java.lang.String` | `getText()` Get the text of the tokens comprising this node.
    `void` | `jjtAddChild(org.gjt.sp.jedit.bsh.Node n, int i)` This method tells the node to add its argument to the node's list of children.
    `void` | `jjtClose()` This method is called after all the child nodes have been added.
    `org.gjt.sp.jedit.bsh.Node` | `jjtGetChild(int i)` This method returns a child node.
    `int` | `jjtGetNumChildren()` Return the number of children the node has.
    `org.gjt.sp.jedit.bsh.Node` | `jjtGetParent()`
    `void` | `jjtOpen()` This method is called after the node has been made the current node.
    `void` | `jjtSetParent(org.gjt.sp.jedit.bsh.Node n)` This pair of methods are used to inform the node of its parent.
    `void` | `prune()` Detach this node from its parent.
    `void` | `setSourceFile(java.lang.String sourceFile)` Set the name of the source file (or more generally source) of the text from which this node was parsed.
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(java.lang.String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### text

          public java.lang.String text

    - #### JAVACODE

          public static org.gjt.sp.jedit.bsh.SimpleNode JAVACODE

    - #### parent

          protected org.gjt.sp.jedit.bsh.Node parent

    - #### children

          protected org.gjt.sp.jedit.bsh.Node[] children

    - #### id

          protected int id

  - ### Constructor Detail

    - #### BSHFormalComment

          public BSHFormalComment(int id)

  - ### Method Detail

    - #### jjtOpen

          public void jjtOpen()

      This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

    - #### jjtClose

          public void jjtClose()

      This method is called after all the child nodes have been added.

    - #### jjtSetParent

          public void jjtSetParent(org.gjt.sp.jedit.bsh.Node n)

      This pair of methods are used to inform the node of its parent.

    - #### jjtGetParent

          public org.gjt.sp.jedit.bsh.Node jjtGetParent()

    - #### jjtAddChild

          public void jjtAddChild(org.gjt.sp.jedit.bsh.Node n,
                                  int i)

      This method tells the node to add its argument to the node's list of children.

    - #### jjtGetChild

          public org.gjt.sp.jedit.bsh.Node jjtGetChild(int i)

      This method returns a child node. The children are numbered from zero, left to right.

    - #### getChild

          public org.gjt.sp.jedit.bsh.SimpleNode getChild(int i)

    - #### jjtGetNumChildren

          public int jjtGetNumChildren()

      Return the number of children the node has.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(java.lang.String prefix)

    - #### dump

          public void dump(java.lang.String prefix)

    - #### prune

          public void prune()

      Detach this node from its parent. This is primarily useful in node serialization. (see BSHMethodDeclaration)

    - #### eval

          public java.lang.Object eval(CallStack callstack,
                                       Interpreter interpreter)
                                throws EvalError

      This is the general signature for evaluation of a node.
      Throws:
        `EvalError`

    - #### setSourceFile

          public void setSourceFile(java.lang.String sourceFile)

      Set the name of the source file (or more generally source) of the text from which this node was parsed.

    - #### getSourceFile

          public java.lang.String getSourceFile()

      Get the name of the source file (or more generally source) of the text from which this node was parsed. This will recursively search up the chain of parent nodes until a source is found or return a string indicating that the source is unknown.

    - #### getLineNumber

          public int getLineNumber()

      Get the line number of the starting token

    - #### getText

          public java.lang.String getText()

      Get the text of the tokens comprising this node.